How to change configuration settings
Podstawowa składnia
Podręcznik PHP
PHP Manual

# Opis języka

- Podstawowa składnia
  - Wyskakiwanie z HTMLa
  - Oddzielanie instrukcji
  - Komentarze
- Types
  - Introduction
  - Booleans
  - Integers
  - Floating point numbers
  - Strings
  - Arrays
  - Objects
  - Resources
  - NULL
  - Pseudo-types and variables used in this documentation
  - Type Juggling
- Zmienne
  - Podstawy
  - Zmienne Predefiniowane
  - Zasięg zmiennych
  - Zmienne zmienne
  - Zmienne ze źródeł zewnętrznych
- Stałe
  - Składnia
  - Magiczne stałe
- Wyrażenia
- Operators
  - Operator Precedence
  - Arithmetic Operators
  - Assignment Operators
  - Bitwise Operators
  - Comparison Operators
  - Error Control Operators
  - Execution Operators
  - Incrementing/Decrementing Operators
  - Logical Operators
  - String Operators
  - Array Operators
  - Type Operators
- Control Structures
  - Introduction
  - if
  - else
  - elseif/else if
  - Alternative syntax for control structures
  - while
  - do-while
  - for
  - foreach
  - break
  - continue
  - switch
  - declare
  - return
  - require
  - include
  - require_once
  - include_once
  - goto
- Funkcje
  - Funkcje definiowane przez użytkownika
  - Argumenty funkcji
  - Zwracanie wartości
  - Funkcje zmiennych
  - Wewnętrzne (wbudowane) funkcje
- Classes and Objects
  - Introduction
  - The Basics
  - Properties
  - Class Constants
  - Autoloading Classes
  - Constructors and Destructors
  - Visibility
  - Object Inheritance
  - Scope Resolution Operator (::)
  - Static Keyword
  - Class Abstraction
  - Object Interfaces
  - Overloading
  - Object Iteration
  - Patterns
  - Magic Methods
  - Final Keyword
  - Object Cloning
  - Comparing Objects
  - Type Hinting
  - Late Static Bindings
  - Objects and references
  - Object Serialization
  - OOP Changelog
- Namespaces
  - Namespaces overview
  - Defining namespaces
  - Declaring sub-namespaces
  - Defining multiple namespaces in the same file
  - Using namespaces: Basics
  - Namespaces and dynamic language features
  - namespace keyword and __NAMESPACE__ constant
  - Using namespaces: Aliasing/Importing
  - Global space
  - Using namespaces: fallback to global function/constant
  - Name resolution rules
  - FAQ: things you need to know about namespaces
- Exceptions
  - Extending Exceptions
- Referencje
  - Czym są referencje
  - Co robią referencje
  - Czym nie są referencje
  - Przekazywanie przez referencje
  - Zwracanie referencji
  - Niszczenie referencji
  - Znajdywanie referencji
- Predefined Variables
  - Superglobals — Superglobals are built-in variables that are always available in all scopes
  - $GLOBALS — References all variables available in global scope
  - $_SERVER — Server and execution environment information
  - $_GET — HTTP GET variables
  - $_POST — HTTP POST variables
  - $_FILES — HTTP File Upload variables
  - $_REQUEST — HTTP Request variables
  - $_SESSION — Session variables
  - $_ENV — Environment variables
  - $_COOKIE — HTTP Cookies
  - $php_errormsg — The previous error message
  - $HTTP_RAW_POST_DATA — Raw POST data
  - $http_response_header — HTTP response headers
  - $argc — The number of arguments passed to script
  - $argv — Array of arguments passed to script
- Predefined Exceptions
  - Exception
  - ErrorException
- Predefined Interfaces
  - Traversable — The Traversable interface
  - Iterator — The Iterator interface
  - IteratorAggregate — The IteratorAggregate interface
  - ArrayAccess — The ArrayAccess interface
  - Serializable — The Serializable interface
- Context options and parameters
  - Socket context options — Socket context option listing
  - HTTP context options — HTTP context option listing
  - FTP context options — FTP context option listing
  - SSL context options — SSL context option listing
  - CURL context options — CURL context option listing
  - Phar context options — Phar context option listing
  - Context parameters — Context parameter listing

How to change configuration settings
Podstawowa składnia
Podręcznik PHP
PHP Manual